<?php
/*
* Plugin-Name: Product Designer App
* Plugin-URI: https://productdesignerapp.com
* Author: productdesignerapp
* Page: Templates
*/

if (!defined('ABSPATH'))
{
    exit;
}

$pdappFolderID = pdapp_get('folder');
if($pdappFolderID == '')
{
    $pdappFolderID = 0;
}

$pdappDevScript = PDAPP_DEV_MODE ? '' : 'min.';
wp_enqueue_script('pdapp-script', PDAPP_PLUGIN_URL . 'assets/js/pdapp-inline.js', ['jquery'], PDAPP_VERSION.'-'. time(), true);
wp_add_inline_script('pdapp-script', 'var pdappFolderID = '. esc_html($pdappFolderID) .'; const pdappWorker = (typeof window.Worker == "function" && !!window.Worker) ? new Worker(pdappPluginUrl+"admin/assets/js/templates/pdapp-worker.'. $pdappDevScript .'js?ver='. PDAPP_VERSION .'") : false; var pdappPurchasedCode = "'. esc_html(pdapp_get_user_key()) .'";', 'before');

wp_enqueue_script('pdapp-vue-script', PDAPP_PLUGIN_URL . 'assets/plugins/vue/js/vue.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-selecto-script', PDAPP_PLUGIN_URL . 'assets/plugins/selecto/js/selecto.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-moveable-script', PDAPP_PLUGIN_URL . 'assets/plugins/moveable/js/moveable.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-circletype-script', PDAPP_PLUGIN_URL . 'assets/plugins/circletype/js/circletype.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-spectrum-script', PDAPP_PLUGIN_URL . 'assets/plugins/spectrum/js/spectrum.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-qrcode-script', PDAPP_PLUGIN_URL . 'assets/plugins/qrcode/js/qrcode.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-barcode-script', PDAPP_PLUGIN_URL . 'assets/plugins/barcode/js/barcode.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-svgcolor-script', PDAPP_PLUGIN_URL . 'assets/plugins/svgcolor/js/svg-color.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-color-script', PDAPP_PLUGIN_URL . 'assets/plugins/color-thief/js/color-thief.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-hotkeys-script', PDAPP_PLUGIN_URL . 'assets/plugins/hotkeys/js/hotkeys.min.js', ['jquery'], PDAPP_VERSION, true);
?>